[csw-devel] SF.net SVN: gar:[3606] csw/mgar/pkg/unbound/trunk

idogan23 at users.sourceforge.net idogan23 at users.sourceforge.net
Fri Mar 6 17:36:20 CET 2009


Revision: 3606
          http://gar.svn.sourceforge.net/gar/?rev=3606&view=rev
Author:   idogan23
Date:     2009-03-06 16:36:20 +0000 (Fri, 06 Mar 2009)

Log Message:
-----------
switched completely to cswclassutils and some other small things

Modified Paths:
--------------
    csw/mgar/pkg/unbound/trunk/Makefile

Added Paths:
-----------
    csw/mgar/pkg/unbound/trunk/files/CSWunbound.depend
    csw/mgar/pkg/unbound/trunk/files/cswunbound
    csw/mgar/pkg/unbound/trunk/files/cswusergroup

Removed Paths:
-------------
    csw/mgar/pkg/unbound/trunk/files/CSWunbound.preinstall

Modified: csw/mgar/pkg/unbound/trunk/Makefile
===================================================================
--- csw/mgar/pkg/unbound/trunk/Makefile	2009-03-06 06:11:09 UTC (rev 3605)
+++ csw/mgar/pkg/unbound/trunk/Makefile	2009-03-06 16:36:20 UTC (rev 3606)
@@ -11,10 +11,16 @@
 
 MASTER_SITES = http://unbound.net/downloads/
 DISTFILES  = $(GARNAME)-$(GARVERSION).tar.gz
-DISTFILES += $(call admfiles,CSWunbound, preinstall)
+DISTFILES += $(call admfiles,CSWunbound, depend)
+DISTFILES += cswunbound
+DISTFILES += cswusergroup
 
 GARCOMPILER = GCC4
 
+REQUIRED_PKGS = CSWcswclassutils
+SPKG_CLASSES = none cswusergroup cswcpsampleconf cswinitsmf
+PROTOTYPE_FILTER = awk '$$$$3 ~ /\/init.d\/cswunbound$$$$/ { $$$$2 = "cswinitsmf" } $$$$3 ~ /\/unbound\/cswusergroup$$$$/ { $$$$2 = "cswusergroup" } $$$$3 ~ /\/unbound\/unbound.conf.CSW$$$$/ { $$$$2 = "cswcpsampleconf" } { print }'
+
 # We define upstream file regex so we can be notifed of new upstream software release
 #UFILES_REGEX = -(\d+(?:\.\d+)*).tar.gz
 
@@ -23,9 +29,16 @@
 # UPSTREAM_MASTER_SITES = 
 
 CONFIGURE_ARGS = $(DIRPATHS)
-CONFIGURE_ARGS += --without-pthreads
 CONFIGUTE_ARGS += --with-solaris-threads
 CONFIGURE_ARGS += --with-ssl=/opt/csw
 CONFIGURE_ARGS += --with-pidfile=/var/run/unbound.pid
+CONFIGURE_ARGS += --sysconfdir=/etc/opt/csw
 
+post-install-modulated:
+	@ginstall -d $(DESTDIR)/etc/opt/csw/init.d
+	@ginstall -m 755 $(FILEDIR)/cswunbound $(DESTDIR)/etc/opt/csw/init.d/cswunbound
+	@ginstall -m 755 $(FILEDIR)/cswusergroup $(DESTDIR)/etc/opt/csw/unbound/cswusergroup
+	@mv $(DESTDIR)/etc/opt/csw/unbound/unbound.conf $(DESTDIR)/etc/opt/csw/unbound/unbound.conf.CSW
+	@chmod 444 $(DESTDIR)/etc/opt/csw/unbound/unbound.conf.CSW
+
 include gar/category.mk

Added: csw/mgar/pkg/unbound/trunk/files/CSWunbound.depend
===================================================================
--- csw/mgar/pkg/unbound/trunk/files/CSWunbound.depend	                        (rev 0)
+++ csw/mgar/pkg/unbound/trunk/files/CSWunbound.depend	2009-03-06 16:36:20 UTC (rev 3606)
@@ -0,0 +1,3 @@
+P	CSWcommon
+P	CSWosslrt
+P	CSWgcc4corert

Deleted: csw/mgar/pkg/unbound/trunk/files/CSWunbound.preinstall
===================================================================
--- csw/mgar/pkg/unbound/trunk/files/CSWunbound.preinstall	2009-03-06 06:11:09 UTC (rev 3605)
+++ csw/mgar/pkg/unbound/trunk/files/CSWunbound.preinstall	2009-03-06 16:36:20 UTC (rev 3606)
@@ -1,18 +0,0 @@
-#!/bin/sh
-
-# check, if the unbound user does exist
-grep '^unbound:' $PKG_ROOT_DIR/etc/passwd >/dev/null
-if [ $? -ne 0 ] ; then
-        getent passwd unbound >/dev/null
-        if [ $? -ne 0 ] ; then
-                NEEDUSER=1
-        fi
-fi
-
-# create the unbound user, if NEEDUSER=1
-if [ "$NEEDUSER" = 1 ] ; then
-        echo Adding required unbound user
-
-        # create the amavis user
-        /usr/sbin/useradd -d /var/run -g other -c 'unbound pseud user' -s /bin/false unbound
-fi

Added: csw/mgar/pkg/unbound/trunk/files/cswunbound
===================================================================
--- csw/mgar/pkg/unbound/trunk/files/cswunbound	                        (rev 0)
+++ csw/mgar/pkg/unbound/trunk/files/cswunbound	2009-03-06 16:36:20 UTC (rev 3606)
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+#RC_KNUM 72
+#RC_SNUM 72
+#RC_KLEV 0,1,S
+#RC_SLEV 2
+#FMRI network
+
+case "$1" in
+  start)
+    echo "Starting unbound"
+
+    if [ -x /usr/lib/extendedFILE.so.1 ]; then
+       ulimit -n 1024
+       LD_PRELOAD_32=/usr/lib/extendedFILE.so.1
+       export LD_PRELOAD_32
+    fi
+
+    /opt/csw/sbin/unbound
+    ;;
+  stop)
+    echo "Stopping unbound"
+    kill `cat /var/run/unbound.pid` && rm /var/run/unbound.pid
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "Usage: $0 { start | stop | restart }"
+    exit 1
+    ;;
+esac
+
+exit 0


Property changes on: csw/mgar/pkg/unbound/trunk/files/cswunbound
___________________________________________________________________
Added: svn:executable
   + *

Added: csw/mgar/pkg/unbound/trunk/files/cswusergroup
===================================================================
--- csw/mgar/pkg/unbound/trunk/files/cswusergroup	                        (rev 0)
+++ csw/mgar/pkg/unbound/trunk/files/cswusergroup	2009-03-06 16:36:20 UTC (rev 3606)
@@ -0,0 +1 @@
+unbound::::::


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.



More information about the devel mailing list